use crate::repository::api::prelude::*;

pub use rust_shared::repository::api::EmailError;

pub async fn request_email_confirmation(tg_id: i64, email: &str) -> Result<(), EmailError> {
    let user_id = get_test_user_id(tg_id);
    rust_shared::repository::api::request_email_confirmation(user_id, email).await
} 